curl --request GET \
--url https://api.x.com/2/insights/28hr \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/insights/28hr"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/insights/28hr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"errors": [
{
"error": "<string>",
"tweets": [
"<string>"
]
}
],
"measurement": {
"metrics_time_series": [
{
"tweet_id": "1346889436626259968",
"value": {
"metric_values": [
{
"metric_type": "<string>",
"metric_value": 123
}
],
"timestamp": {
"iso8601_time": "<string>"
}
}
}
],
"metrics_total": [
{
"tweet_id": "1346889436626259968",
"value": [
{
"metric_type": "<string>",
"metric_value": 123
}
]
}
]
}
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Obtenir les statistiques de la Publication sur 28 heures
Récupère les métriques d’engagement pour les Publications spécifiées sur les 28 dernières heures.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Liste de PostIds pour les métriques sur 28 heures.
1 - 25 elementsIdentifiant unique de ce Tweet. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les complications avec les langages et outils qui ne gèrent pas les entiers de très grande taille.
^[0-9]{1,19}$["20"]
Granularité des métriques dans la réponse.
Daily, Hourly, Weekly, Total "Total"
Demander les métriques pour une requête historique.
1AppInstallAttempts, AppOpens, DetailExpands, EmailTweet, Engagements, Follows, HashtagClicks, Impressions, Likes, LinkClicks, MediaEngagements, MediaViews, PermalinkClicks, ProfileVisits, QuoteTweets, Replies, Retweets, UniqueVideoViews, UrlClicks, UserProfileClicks, VideoCompletions, VideoPlayed25Percent, VideoPlayed50Percent, VideoPlayed75Percent, VideoStarts, VideoViews Liste de champs Engagement, séparée par des virgules, à inclure dans la réponse. Champs disponibles pour un objet Engagement.
1errors, measurement ["errors", "measurement"]
Response
La requête a réussi.
1Show child attributes
Show child attributes
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes